# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "random_color"
version = "1.1.0"
authors = ["Lucas Maximiliano Marino <lucasmmarino@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Rust crate for generating random attractive colors"
homepage = "https://github.com/elementh/random_color"
readme = "README.md"
keywords = [
    "random",
    "color",
    "rgb",
    "rgba",
    "hsl",
]
license = "MIT"
repository = "https://github.com/elementh/random_color.git"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[features]
ecolor_support = ["dep:ecolor"]
palette_support = ["dep:palette"]
rgb_support = ["dep:rgb"]

[lib]
name = "random_color"
path = "src/lib.rs"

[dependencies.ecolor]
version = "0.31"
optional = true

[dependencies.palette]
version = "0.7.6"
optional = true

[dependencies.rand]
version = "0.9"
features = ["small_rng"]

[dependencies.rgb]
version = "0.8.50"
optional = true
